/*------------------------------------------------------------------------------
	MD5.H - header file for MD5.C
------------------------------------------------------------------------------*/

#ifndef __MD5_H
#define __MD5_H

typedef struct {
	ULong state[4];										/* state (ABCD) */
	ULong count[2];			 /* number of bits, modulo 2^64 (lsb first) */
	UChar buffer[64];									/* input buffer */
} MD5_context;


#ifdef __cplusplus
extern "C" {
#endif

void MD5Init (MD5_context *);
void MD5Update (MD5_context *, UChar *, unsigned int);
void MD5Final (UChar [16], MD5_context *);

#ifdef __cplusplus
}
#endif

#endif // __MD5_H
