
#ifndef __UNIC_R__
#define __UNIC_R__


/*----------------------------UniC  Unicode character mapping--------------------------*/
type 'UniC' {

	switch {

		case toUnicode:
			key integer = 0x0000;					/* type? */
			integer = $$CountOf(toCodeArray);
			longint = 0x00000001;					/* flags? */
			array toCodeArray {
				integer;									/* Unicode of 8-bit char at this index */
			};

		case fromUnicode:
			key integer = 0x0004;					/* type? */
			longint = 0x00000000;					/* flags? */
			integer = $$CountOf(endCodeArray);
			array endCodeArray {
				integer;									/* end Unicode of run */
			};
			array startCodeArray {
				integer;									/* start Unicode of run */
			};
			array codeDeltaArray {
				integer;									/* offset from Unicode into codeArray */
			};
			array codeArray {
				byte;										/* 8-bit char corresponding to Unicode */
			};
	};
};



#endif /* __UNIC_R__ */
